<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/stock/Dt_BillGroupStockDetail.js此处编写
 -->
<template>
    <vol-box :lazy="true" v-model="model1" title="库存明细信息" :width="1820" :padding="5" :onModelClose="onModelClose">
        <view-grid ref="grid" :columns="columns" :searchFormFields="searchFormFields"
            :searchFormOptions="searchFormOptions" :table="table" :extend="extend">
        </view-grid>
        <template #footer>
            <div>
                <el-button type="primary" size="small" @click="model1 = false">确认</el-button>
                <el-button type="default" size="small" @click="model1 = false">关闭</el-button>
            </div>
        </template>
    </vol-box>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/Dt_BillGroupStockDetail.js";
import VolBox from '@/components/basic/VolBox.vue';
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'groupDetailId',
            footer: "Foots",
            cnName: '库存明细信息',
            name: 'stock/Dt_BillGroupStockDetail',
            url: "/StockInfoDetail/",
            sortName: "GroupId"
        });
        const editFormFields = ref({
            "palletCode": "",
            "materialNo": ""
        });
        const editFormOptions = ref([
            [
                { "title": "托盘号", "field": "palletCode", type: "text" },
                { "title": "物料编号", "field": "materialNo", type: "text" },
            ]
        ]);
        const searchFormFields = ref({
            "palletCode": "",
            "materialNo": ""
        });
        const searchFormOptions = ref([
            [
                { "title": "托盘号", "field": "palletCode", type: "text" },
                { "title": "物料编号", "field": "materialNo", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'groupDetailId', title: '库存明细ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'groupId', title: '外健', type: 'int', width: 110, hidden: true, align: 'left', sort: true },
        { field: 'palletCode', title: '托盘号', type: 'string', width: 110, align: 'left' },
        { field: 'orderNo', title: '单据编号', type: 'string', width: 110, align: 'left' },
        { field: 'orderDate', title: '单据日期', type: 'datetime', width: 150, align: 'left', sort: true },
        { field: 'batchNo', title: '批次号', type: 'string', width: 110, align: 'left' },
        { field: 'materialNo', title: '物料编号', type: 'string', width: 110, align: 'left' },
        { field: 'materialName', title: '物料名称', type: 'string', width: 110, align: 'left' },
        { field: 'outBoxCode', title: '外箱码', type: 'string', width: 120, align: 'left' },
        { field: 'inBoxCode', title: '内箱码', type: 'string', width: 120, align: 'left' },
        { field: 'emptyPalletCode', title: '空托盘码', type: 'string', width: 120, align: 'left' },
        { field: 'palletUnit', title: '组盘单位', type: 'string', width: 110, align: 'left' },
        { field: 'palletQuantity', title: '组盘数量', type: 'decimal', width: 110, align: 'left' },
        { field: 'basicUnit', title: '单位', type: 'string', width: 110, align: 'left' },
        { field: 'basicQuantity', title: '计量', type: 'decimal', width: 110, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });

        const model1 = ref(false);
        const palletCode = ref("");

        const openModel1 = (row)=>{
            palletCode.value = row.palletCode;
            model1.value = true;
        }


        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
            model1,
            palletCode,
            VolBox,
            openModel1
        };
    },
    components: {
        'vol-box': VolBox 
    },
});
</script>
